import {
  Component,
  OnInit,
  OnDestroy,
  Inject,
  EventEmitter
} from '@angular/core';

import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material';
import { NGXLogger } from 'ngx-logger';

export interface ImageViewerDialogData {}

export interface ImageViewerDialogResult {}

@Component({
  selector: 'app-layout-common-image-viewer',
  templateUrl: './image-viewer.dialog.component.html',
  styleUrls: ['./image-viewer.dialog.component.scss']
})
export class ImageViewerDialogComponent implements OnInit, OnDestroy {
  constructor(
    public dialogRef: MatDialogRef<
      ImageViewerDialogData,
      ImageViewerDialogResult
    >,
    @Inject(MAT_DIALOG_DATA) public data: ImageViewerDialogData,
    private logger: NGXLogger
  ) {}

  ngOnInit() {}

  ngOnDestroy(): void {}
}
